Bug 48973 - need ide=nodma to get cdrom to work
need ide=nodma to get cdrom to work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i686 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-12 15:06 EDT by sjarrettsprague
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 03:29:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description sjarrettsprague 2001-07-12 15:06:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
need to use ide=nodma for my RICOH CD-R/RW MP7083A

How reproducible:
Always

Steps to Reproduce:
1. load cdrom in to install rh 7.1
2. dies
3.
	

Actual Results:  tries to boot of CDrom when I tried to install RH 7.1, but
dies.

Expected Results:  install from cdrom perfectly

Additional info:

I have had to put a line in my own init script to say

#disable DMA for CD-ROM
/sbin/hdparm -d0 /dev/hdc

otherwise I wouldn't have been able to use cdrom post install
Comment 1 Arjan van de Ven 2001-07-12 17:19:02 EDT
"RICOH CD-R/RW MP7083A" is the string from
cat /proc/ide/hdX/model ? if so I'll add it to the "dont do dma" list

thanks for the report.
Comment 2 sjarrettsprague 2001-07-13 03:29:52 EDT
Yes. RICOH CD-R/RW MP7083A is in /proc/ide/hdc/model. Look forward to RH7.2 
being easier to install!
Comment 3 Arjan van de Ven 2001-07-18 04:22:59 EDT
Thanks for the info, added to the no-dma list for the next build.

Note You need to log in before you can comment on or make changes to this bug.